org.apache.ignite.internal.managers.communication

## Class GridIoSecurityAwareMessage

- java.lang.Object
- - org.apache.ignite.internal.managers.communication.GridIoMessage
  - - org.apache.ignite.internal.managers.communication.GridIoSecurityAwareMessage

All Implemented Interfaces:
  Serializable, SpanTransport, Message

    public class GridIoSecurityAwareMessage
    extends GridIoMessage

See Also:
  Serialized Form

### Field Summary

Fields
`static short` `TYPE_CODE`

### Fields inherited from class org.apache.ignite.internal.managers.communication.GridIoMessage

`STRIPE_DISABLED_PART`

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`GridIoSecurityAwareMessage()` No-op constructor to support `Externalizable` interface.
`GridIoSecurityAwareMessage(UUID secSubjId, byte plc, Object topic, int topicOrd, Message msg, boolean ordered, long timeout, boolean skipOnTimeout)`

### Method Summary

All Methods Instance Methods Concrete Methods
`short` `directType()` Gets message type.
`byte` `fieldsCount()` Gets fields count.
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class org.apache.ignite.internal.managers.communication.GridIoMessage

`equals, executorName, hashCode, message, onAckReceived, partition, skipOnTimeout, span, span, timeout, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### TYPE_CODE

    public static final short TYPE_CODE

See Also:
  Constant Field Values

### Constructor Detail

#### GridIoSecurityAwareMessage

    public GridIoSecurityAwareMessage()

No-op constructor to support `Externalizable` interface. This constructor is not meant to be used for other purposes.

#### GridIoSecurityAwareMessage

    public GridIoSecurityAwareMessage(UUID secSubjId,
                                      byte plc,
                                      Object topic,
                                      int topicOrd,
                                      Message msg,
                                      boolean ordered,
                                      long timeout,
                                      boolean skipOnTimeout)

Parameters:
  `secSubjId` - Security subject id.
  `plc` - Policy.
  `topic` - Communication topic.
  `topicOrd` - Topic ordinal value.
  `msg` - Message.
  `ordered` - Message ordered flag.
  `timeout` - Timeout.
  `skipOnTimeout` - Whether message can be skipped on timeout.

### Method Detail

#### directType

    public short directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Overrides:
  `directType` in class `GridIoMessage`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Overrides:
  `fieldsCount` in class `GridIoMessage`
Returns:
  Fields count.

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                           MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Overrides:
  `writeTo` in class `GridIoMessage`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                            MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Overrides:
  `readFrom` in class `GridIoMessage`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022